/****************************************************************************************************

		Matrix44Fwd.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Pierre-Sylvain
		Date:	5/4/2006

****************************************************************************************************/

#ifndef __Matrix44Fwd__
#define __Matrix44Fwd__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCBasicTypes.h"

// forward decl

template<class T> class TMatrix44Template;


// typedef

typedef TMatrix44Template<real32>	TMatrix44;
typedef TMatrix44Template<real32>	TMatrix44f;
typedef TMatrix44Template<real64>	TMatrix44d;


#endif
